<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
		<SCRIPT language="Javascript">
		function ExamInitDisks(){
			var selectcount = 0;
			with (document.forms[0]){
				var i=1;
				while(elements[i]!=0){
      				if (elements[i].type!="checkbox") break;
			    	if (elements[i].checked) selectcount++;
					i++;
    			}
			}
   			if(selectcount == 0){
        		alert("Please select a disk.");
        		document.MM_returnValue = false;
        		return false;
    		}
			if (confirm("All data on the array you selected will be deleted. Do you want to contine?")==false){
	    		return false;
  			}
			return true;
		}
	</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						<tr>
							<td>
								<table id="initdiskstable" width="{$pagewidth}">
									<tr>
										<td class="title" align="center">Initialize Physical Devices</td>
									</tr>
									<tr>
										<td class="content">
											<form action="devman.cgi?userid={hpt_raidman_page/session/session_id}" name="initdisksform" method="POST" onsubmit="return ExamInitDisks();">
												<input type="hidden" name="func" value="InitDisks"/>
												<table cellpadding="5" width="100%">
													<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk">
														<tr>
															<td>
																<input type="checkbox" name="check_{@id}" value="ON"/>
															</td>
															<td>
																<xsl:call-template name="DrawDevImgTable">
																	<xsl:with-param name="simple">true</xsl:with-param>
																</xsl:call-template>
															</td>
															<td>
																<xsl:value-of select="name"/>
															</td>
															<td>
																<xsl:value-of select="model"/>
															</td>
															<td>
																<xsl:value-of select="capacity"/>
															</td>
														</tr>
													</xsl:for-each>
												</table>
												<p/>
												<input type="submit" name="submit" value="Submit"/>
											</form>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>